#include <bits/stdc++.h>
using namespace std;

long long proizvod_cifara(long long x) {
    long long p = 1;
    while (x > 0) {
        int c = x % 10;
        p *= c;
        x /= 10;
    }
    return p;
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int T;
    cin >> T;
    vector<long long> upiti(T);
    long long max_n = 0;
    for (int i = 0; i < T; ++i) {
        cin >> upiti[i];
        max_n = max(max_n, upiti[i]);
    }

    vector<long long> proizvodi(max_n + 1);
    set<long long> svi_proizvodi;
    for (long long i = 1; i <= max_n; ++i) {
        proizvodi[i] = proizvod_cifara(i);
        svi_proizvodi.insert(proizvodi[i]);
    }

    for (int i = 0; i < T; ++i) {
        long long n = upiti[i];
        set<long long> vazeci;
        for (long long j = 1; j <= n; ++j) {
            vazeci.insert(proizvodi[j]);
        }
        cout << vazeci.size() << "\n";
    }

    return 0;
}